
Katello - Tracker #24437

Modularity - P2 Stories

07/27/2018 08:20 PM - Partha Aji

Status: New % Done: 0%

Priority: Normal   

Assignee: Partha Aji   

Category: Repositories   

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Tracker for Modularity - P2

Related issues:

Blocked by Katello - Bug #24439: UI - As a user I would like to remove module... New

Blocked by Katello - Bug #24441: UI/API - As a user I would like to upload mo... New

Blocked by Katello - Bug #24442: Hammer - As a user I would like to upload mo... New

Blocked by Katello - Bug #24444: UI/API - I would like to set the default pro... New

Blocked by Katello - Bug #24445: UI/API - I would like to set the default str... New

Blocked by Katello - Bug #24446: As a user I would like to see a list of modu... New

Blocked by Katello - Bug #24447: UI - As a user I would like to see a list of... New

Blocked by Katello - Bug #24448: UI/API - As a user I would like to create co... Rejected

Blocked by Katello - Bug #24449: Hammer - As a user I would like to create co... New

Blocked by Katello - Bug #24450: UI/API - As a user I would like install a mo... New

Blocked by Katello - Bug #24451: UI/API - As a user I would like to see the I... New

Blocked by Katello - Bug #24452: UI/API As a user I would lile to delete a mo... New

Blocked by Katello - Bug #24453: UI/API As a user I would like to change the ... New

Blocked by Katello - Bug #24454: UI/API - As a user I would like lock/Unlock ... New

Blocked by Katello - Bug #24455: UI/API - As a user I would like to see modul... New

Blocked by Katello - Bug #24456: UI/API - As a user I would like to update a ... New

Blocked by Katello - Bug #24457: UI/API - As a user I would like install a mo... New

Blocked by Katello - Bug #24458: UI/API - As a user I would like delete modul... New

Blocked by Katello - Bug #24459: UI/API - As a user I would like lock/unlock ... New

Blocked by Katello - Bug #24460: UI/API - As a user I would like to update a ... New

Blocked by Katello - Bug #24461: UI/API - As a user I would like to see modul... New

Blocked by Katello - Bug #24462: UI/API - As a user I would like to enable mo... New

Blocked by Katello - Bug #24463: Hammer - As a user  I would like to see modu... New

Blocked by Katello - Bug #24464: Hammer - As a user I would like to enable mo... New

Blocked by Katello - Bug #24465: REX -  As a user I would like templates to i... New

Blocked by Katello - Bug #24466: REX -  As a user I would like to lock/unlock... New

Blocked by Katello - Bug #24467: DNF Plugin - As a user I would like to lock/... New

Blocked by Katello - Bug #24468: DNF Plugin - As a user I would like to insta... New

Blocked by Katello - Feature #24840: CV publish needs to filter modules based... New

Blocked by Katello - Bug #26221: As a user I want to index rpms as modular an... Closed

Blocked by Katello - Bug #26222:  As a user I would like to search/display rp... Duplicate

Blocked by Katello - Bug #26223: As a user I would not allow filtering of mod... Closed

Blocked by Katello - Bug #26224: As a user I would like the module stream rpm... New

Blocked by Katello - Bug #26225: As a user I would like module streams belong... New

Blocked by Katello - Bug #26226: As a appstream user I would like to see modu... Closed

Blocked by Katello - Bug #26227: As a user I would like to be  warned that mo... Duplicate
History

#1 - 07/27/2018 08:39 PM - Partha Aji

- Blocked by Bug #24439: UI - As a user I would like to remove modules from a repository that has modules. added

#3 - 07/27/2018 08:47 PM - Partha Aji

- Blocked by Bug #24441: UI/API - As a user I would like to upload modules to a repository added

#4 - 07/27/2018 08:50 PM - Partha Aji

- Blocked by Bug #24442: Hammer - As a user I would like to upload modules to a repository added

#5 - 07/27/2018 08:51 PM - Partha Aji

- Blocked by Bug #24444: UI/API - I would like to set the default profile for a module stream via module details added

#6 - 07/27/2018 08:52 PM - Partha Aji

- Blocked by Bug #24445: UI/API - I would like to set the default stream for a module via module details added

#7 - 07/27/2018 08:54 PM - Partha Aji

- Blocked by Bug #24446: As a user I would like to see a list of modules available to be enabled across hosts added

#8 - 07/27/2018 08:58 PM - Partha Aji

- Blocked by Bug #24447: UI - As a user I would like to see a list of modules available to be installed across hosts added

#9 - 07/27/2018 09:01 PM - Partha Aji

- Blocked by Bug #24448: UI/API - As a user I would like to create content view filter based on Modules. added

#10 - 07/27/2018 09:02 PM - Partha Aji

- Blocked by Bug #24449: Hammer - As a user I would like to create content view filter based on Modules. added

#11 - 07/27/2018 10:22 PM - Partha Aji

- Blocked by Bug #24450: UI/API - As a user I would like install a module profile on a host via REX/DNF plugin added

#12 - 07/27/2018 10:33 PM - Partha Aji

- Blocked by Bug #24451: UI/API - As a user I would like to see the Installed modules and profiles on the content host added

#13 - 07/27/2018 10:37 PM - Partha Aji

- Blocked by Bug #24452: UI/API As a user I would lile to delete a module on a host vie REX/DNF plugin added

#14 - 07/27/2018 10:38 PM - Partha Aji

- Blocked by Bug #24453: UI/API As a user I would like to change the profile on a module on a host added

#15 - 07/27/2018 10:41 PM - Partha Aji

- Blocked by Bug #24454: UI/API - As a user I would like lock/Unlock a module on a host added

#16 - 07/27/2018 10:42 PM - Partha Aji

- Blocked by Bug #24455: UI/API - As a user I would like to see modules that have an update available added

#17 - 07/27/2018 10:44 PM - Partha Aji

- Blocked by Bug #24456: UI/API - As a user I would like to update a module via REX/DNF plugin added

#18 - 07/27/2018 10:47 PM - Partha Aji

- Blocked by Bug #24457: UI/API - As a user I would like install a module with a profile on a Host Collection via REX/DNF plugin added

#19 - 07/27/2018 10:48 PM - Partha Aji

- Blocked by Bug #24458: UI/API - As a user I would like delete modules for a host collection via REX/DNF plugin added
#20 - 07/27/2018 10:49 PM - Partha Aji

- Blocked by Bug #24459: UI/API - As a user I would like lock/unlock modules for a host collection via REX/DNF plugin added

#21 - 07/27/2018 10:50 PM - Partha Aji

- Blocked by Bug #24460: UI/API - As a user I would like to update a module on a host collection via REX/DNF plugin added

#22 - 07/27/2018 10:53 PM - Partha Aji

- Blocked by Bug #24461: UI/API - As a user I would like to see modules provided by an activation keys added

#23 - 07/27/2018 10:56 PM - Partha Aji

- Blocked by Bug #24462: UI/API - As a user I would like to enable modules belonging to a content view environment associated to the activation key

added

#24 - 07/27/2018 10:57 PM - Partha Aji

- Blocked by Bug #24463: Hammer - As a user  I would like to see modules belonging to the content view  environment associated to an activation key

added

#25 - 07/27/2018 10:58 PM - Partha Aji

- Blocked by Bug #24464: Hammer - As a user I would like to enable modules belonging to a content view environment associated to the activation

key added

#26 - 07/27/2018 11:01 PM - Partha Aji

- Blocked by Bug #24465: REX -  As a user I would like templates to install  modules on my content host via remote execution added

#27 - 07/27/2018 11:03 PM - Partha Aji

- Blocked by Bug #24466: REX -  As a user I would like to lock/unlock modules on my content host via remote execution added

#28 - 07/27/2018 11:05 PM - Partha Aji

- Blocked by Bug #24467: DNF Plugin - As a user I would like to lock/unlock modules on my content host via plugin added

#29 - 07/27/2018 11:06 PM - Partha Aji

- Blocked by Bug #24468: DNF Plugin - As a user I would like to install/update/remove modules on my content host via plugin added

#30 - 08/08/2018 05:55 PM - Justin Sherrill

- Category set to Repositories

- Assignee set to Partha Aji

- Target version set to Katello Backlog

- Triaged changed from No to Yes

#31 - 09/06/2018 09:29 PM - Partha Aji

- Blocked by Feature #24840: CV publish needs to filter modules based on package filters added

#32 - 03/04/2019 10:08 PM - Partha Aji

- Blocked by Bug #26221: As a user I want to index rpms as modular and show them in api response added

#33 - 03/04/2019 10:10 PM - Partha Aji

- Blocked by Bug #26222:  As a user I would like to search/display rpm as modular added

#34 - 03/04/2019 10:15 PM - Partha Aji

- Blocked by Bug #26223: As a user I would not allow filtering of modular rpms in rpm filters (UI and API) added

#35 - 03/04/2019 10:16 PM - Partha Aji

- Blocked by Bug #26224: As a user I would like the module stream rpm artifacts to be automatically copied over when the module is added

#36 - 03/04/2019 10:21 PM - Partha Aji

- Blocked by Bug #26225: As a user I would like module streams belonging to an errata gets copied over when the erratum gets included. added
#37 - 03/04/2019 10:24 PM - Partha Aji

- Blocked by Bug #26226: As a appstream user I would like to see module stream filters, based of VSCAN information. added

#38 - 03/04/2019 10:27 PM - Partha Aji

- Blocked by Bug #26227: As a user I would like to be  warned that modular rpms are not going to get filtered by my package filters added
